Package org.apache.wiki.plugin

# Class WeblogArchivePlugin

java.lang.Object
org.apache.wiki.plugin.WeblogArchivePlugin

All Implemented Interfaces:
  `Plugin`

public class WeblogArchivePlugin extends Object implements Plugin
Creates a list of all weblog entries on a monthly basis.

Parameters :

- page - the page name

Since:
  1.9.21

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_PAGE`
Parameter name for setting the page.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`WeblogArchivePlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_PAGE

public static final String PARAM_PAGE
Parameter name for setting the page. Value is `"page"`.

See Also:
  - Constant Field Values

## Constructor Details

### WeblogArchivePlugin

public WeblogArchivePlugin()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`